ECParameterSpec (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.jce.spec

## Class ECParameterSpec

- java.lang.Object
- - org.bouncycastle.jce.spec.ECParameterSpec

- All Implemented Interfaces:
    java.security.spec.AlgorithmParameterSpec
  Direct Known Subclasses:
    ECNamedCurveParameterSpec

      public class ECParameterSpec
      extends java.lang.Object
      implements java.security.spec.AlgorithmParameterSpec

  basic domain parameters for an Elliptic Curve public or private key.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECParameterSpec(ECCurve curve, ECPoint G, java.math.BigInteger n)`
    `ECParameterSpec(ECCurve curve, ECPoint G, java.math.BigInteger n, java.math.BigInteger h)`
    `ECParameterSpec(ECCurve curve, ECPoint G, java.math.BigInteger n, java.math.BigInteger h, byte[] seed)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `ECCurve` | `getCurve()` return the curve along which the base point lies.
    `ECPoint` | `getG()` return the base point we are using for these domain parameters.
    `java.math.BigInteger` | `getH()` return the cofactor H to the order of G.
    `java.math.BigInteger` | `getN()` return the order N of G
    `byte[]` | `getSeed()` return the seed used to generate this curve (if available).
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECParameterSpec

          public ECParameterSpec(ECCurve curve,
                         ECPoint G,
                         java.math.BigInteger n)

    - #### ECParameterSpec

          public ECParameterSpec(ECCurve curve,
                         ECPoint G,
                         java.math.BigInteger n,
                         java.math.BigInteger h)

    - #### ECParameterSpec

          public ECParameterSpec(ECCurve curve,
                         ECPoint G,
                         java.math.BigInteger n,
                         java.math.BigInteger h,
                         byte[] seed)

  - ### Method Detail

    - #### getCurve

          public ECCurve getCurve()

      return the curve along which the base point lies.
      Returns:
        the curve

    - #### getG

          public ECPoint getG()

      return the base point we are using for these domain parameters.
      Returns:
        the base point.

    - #### getN

          public java.math.BigInteger getN()

      return the order N of G
      Returns:
        the order

    - #### getH

          public java.math.BigInteger getH()

      return the cofactor H to the order of G.
      Returns:
        the cofactor

    - #### getSeed

          public byte[] getSeed()

      return the seed used to generate this curve (if available).
      Returns:
        the random seed

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`